summaryrefslogtreecommitdiff
path: root/pip_install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pip_install.sh')
-rwxr-xr-xpip_install.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/pip_install.sh b/pip_install.sh
new file mode 100755
index 0000000..9d40902
--- /dev/null
+++ b/pip_install.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+python3 -m ensurepip --upgrade
+for x in pip wheel aiohttp antlr4-python3-runtime astral bitstring python-dateutil \
+ grpcio holidays cloudpickle dill numpy protobuf psutil pyserial pytype \
+ pychromecast requests SpeechRecognition sklearn scikit-learn nltk; do
+ echo "--- Installing ${x} ---"
+ pip install -U ${x}
+done